#!/bin/sh

cd $(dirname "$0")

TRACKER_TEMPLATES="/boot/home/config/settings/Tracker/Tracker New Templates"
FTPFS_VOLUMS=/boot/home/ftpfs

function installFiles {
	# install file system and utilities
	unzip -o install.zip -d /boot/home/config
	# add bookmark to TRACKER_TEMPLATES
	if [ -d "$TRACKER_TEMPLATES" -a \! -e "$TRACKER_TEMPLATES"/FTP\ Bookmark ] ; then
		copyattr -d bookmarks/FTP\ Bookmark "$TRACKER_TEMPLATES"/	
	fi
	# make directory for mount points
	mkdir $FTPFS_VOLUMS 2> /dev/null
}

bin/ftpfs_quit_server
result=$?

if [ $result -ge 0 ] ; then
	installFiles
	result=$(alert --info $'FTPFS has been installed.\nPlease read the README file for further informations.' "Open README" "Bye")
	if [ "$result" = "Open README" ] ; then	
		StyledEdit README 
	fi
else
	alert --stop $'FTPFS Server is still in use!\nPlease unmount all FTP file systems first.' "OK"
fi
